% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/windfarmGA_package.R
\docType{package}
\name{windfarmGA-package}
\alias{windfarmGA}
\alias{windfarmGA-package}
\title{windfarmGA: Genetic Algorithm for Wind Farm Layout Optimization}
\description{
The genetic algorithm is designed to optimize wind farms of any shape. It requires a predefined amount of turbines, a unified rotor radius and an average wind speed value for each incoming wind direction. A terrain effect model can be included that downloads an 'SRTM' elevation model and loads a Corine Land Cover raster to approximate surface roughness.
}
\details{
\ifelse{html}{\href{https://lifecycle.r-lib.org/articles/stages.html#stable}{\figure{lifecycle-stable.svg}{options: alt='[Stable]'}}}{\strong{[Stable]}}

\if{html}{\figure{windfarmGA.png}{options: width="25\%" alt="Figure: windfarmGA.png"}}
\if{latex}{\figure{windfarmGA.png}{options: width=0.2in}}
A package to optimize small wind farms with irregular shapes
using a genetic algorithm. It requires a fixed amount of turbines, a fixed
rotor radius and an average wind speed value for each incoming wind
direction. A terrain effect model can be included which downloads a digital
elevation model and a Corine Land Cover raster to approximate surface
roughness. Further information can be found at the description of the
function \code{\link{genetic_algorithm}}.
}
\seealso{
Useful links:
\itemize{
\item \href{https://ysosirius.github.io/windfarmGA/}{Documentation Github.io}
\item \href{https://github.com/YsoSirius/windfarmGA}{Documentation}
\item \href{https://homepage.boku.ac.at/jschmidt/TOOLS/Masterarbeit_Gatscha.pdf}{Master Thesis}
\item \href{https://windfarmga.shinyapps.io/windga_shiny}{Shiny App}
\item \href{https://github.com/YsoSirius/windfarmGA/issues}{Report Issues}
}
}
\author{
\strong{Maintainer}: Sebastian Gatscha \email{sebastian_gatscha@gmx.at}
}
